//
// Created by m on 12/6/21.
//

#ifndef RLA_IIPP_SDLINPUTPROCESSOR_HPP
#define RLA_IIPP_SDLINPUTPROCESSOR_HPP


#include "inputprocessor.hpp"
#include <SDL.h>
#include <unordered_map>

class SdlInputProcessor : public InputProcessor {
    InputResult process_input() override;
public:
    SdlInputProcessor();

private:
    std::unordered_map<SDL_Keycode,InputProcessorKeycode> keycode_map;
    InputProcessorKeycode get_keycode(SDL_Keycode keycode);
};


#endif //RLA_IIPP_SDLINPUTPROCESSOR_HPP
